#
# spec file for package neonmodem
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           neonmodem
Version:        1.0.7+git0.346d1d3
Release:        1.1
Summary:        BBS-style command line client for Discourse, Lemmy, Lobsters and Hacker News
License:        GPL-3.0-only
URL:            https://github.com/mrusme/neonmodem
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) >= 1.20
%{go_nostrip}

%description
Neon Modem Overdrive is a BBS-style command line client that supports Discourse, Lemmy, Lobsters and Hacker News as backends, and seamlessly integrates all of them into a streamlined TUI.

%prep
%autosetup -D -a 1

%build
%ifnarch ppc64
export GOFLAGS="-buildmode=pie"
%endif
go build

%install
install -Dm 755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Jun 16 2025 Felix Niederwanger <felix.niederwanger@suse.de>
- Update to version 1.0.7+git0.346d1d3:
  * Update dependencies, remove debug output
  * Update GitHub actions
  * discourse: APi fixes
  * Bump golang.org/x/net from 0.36.0 to 0.38.0
  * Bump golang.org/x/net from 0.34.0 to 0.36.0
  * Update dependencies
  * Change chat button
* Wed Feb 19 2025 Felix Niederwanger <felix.niederwanger@suse.de>
- Add build option for position-independent executables
* Thu Aug 15 2024 felix.niederwanger@suse.de
- Update to version 1.0.6+git0.63db4bd:
  * Fix goreleaser
  * Remove `q` for quit, add config file info
  * Fix #50, implementation of nested replies
  * Fix #31, bugfix for missing comments in Lemmy
  * Fix #57, introduce null.* types
  * Fix #32, forum filter implementation for Lemmy
  * Fix #52 pt 2, move tea.Quit to view
  * Fix #52, ignore `n` shortcut when filtering
  * Fix #42, rm `q` key for closing Having the `q` key in addition to the `Esc` key for closing windows and quitting the app just adds unnecessary complexity and breaks the UX flow.
  * Update dependencies
  * Fix #63, rm panic for loadSystems, add log info
  * Bump golang.org/x/image from 0.16.0 to 0.18.0
  * Bump github.com/hashicorp/go-retryablehttp from 0.7.6 to 0.7.7
* Wed May 29 2024 felix.niederwanger@suse.de
- Update to version 1.0.5+git0.b2e8808:
  * Updated dependencies
  * Bump golang.org/x/net from 0.22.0 to 0.23.0
  * Added Radicle as source
  * Updated dependencies
  * Added omitempty, possibly fixes #57
  * Add NetBSD
  * Fix for lemmy 0.19.0
* Tue Mar 19 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Packaging improvements:
  * _service change disabled to manual per osc deprecation warning:
    WARNING: Command 'disabledrun/dr' is obsolete, please convert
    your _service to use 'manual' and then 'manualrun/mr' instead.
  * _service obs_scm when revision is a branch name e.g.  master
    use versionformat @PARENT_TAG@+git@TAG_OFFSET@.%%h to represent
    git commit history included beyond last tagged release. Archive
    name will be: name-X.Y.Z+gitN.shortsha.obscpio. When upstream
    project resumes tagged releases drop the param versionformat
    and restore revision to tag name e.g. vX.Y.Z.
  * _service reorder move set_version earlier so go_modules sees
    updated version
  * Drop Requires: golang-packaging. The recommended Go toolchain
    dependency expression is BuildRequires: golang(API) >= 1.x or
    optionally the metapackage BuildRequires: go
  * Use BuildRequires: golang(API) >= 1.21 rather than pin go1.21.
    The golang(API) expression allows use of newer go versions and
    integrates with the go metapackage via OBS prjconf Prefer:
  * Use name macro where applicable to normalize common lines
    across Go app packages. Also makes renaming binary easier when
    required to handle package name conflict.
  * Use URL for github project instead of landing page except in
    cases where site hosts extensive documentation. Packagers more
    frequently need to access the revision and issue history
    associated with the source code site.
* Fri Mar  8 2024 Felix Niederwanger <felix.niederwanger@suse.com>
- Update summary
- Set set_version to manual
* Thu Mar  7 2024 Felix Niederwanger <felix.niederwanger@suse.com>
- Package v1.0.4
